RedCrawler API
Multireddit V1

Add Sub to Feed V1

Add a subreddit to an existing custom feed. Requires bearer token.

PUT /api/v1/feeds/add-subreddit

Add a subreddit to an existing custom feed. Requires bearer token.

Body parameters

NameTypeRequiredDescription
usernamestringYesYour Reddit username.
subredditstringYesSubreddit name to add (without r/ prefix).
multi_namestringYesThe feed's permanent slug.
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X PUT "https://red-crawler1.p.rapidapi.com/api/v1/feeds/add-subreddit" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"username": "Motor_Tip8865", "subreddit": "test", "multi_name": "<multi_name>", "bearer": "<bearer>", "proxy": "<proxy>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/feeds/add-subreddit", {
  method: "PUT",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "username": "Motor_Tip8865",
  "subreddit": "test",
  "multi_name": "<multi_name>",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/feeds/add-subreddit"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "username": "Motor_Tip8865",
  "subreddit": "test",
  "multi_name": "<multi_name>",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
}
resp = requests.put(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "name": "cats"
  },
  "error": null,
  "timestamp": "2026-04-29T16:06:40.356091+00:00"
}

On this page